Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote.caucho
Class CauchoService

    java.lang.Object
      mx4j.tools.remote.http.HTTPService
          mx4j.tools.remote.caucho.CauchoService

All Implemented Interfaces:
  HTTPConnection, JMXConnection

public class CauchoService
extends HTTPService

Version:
  $

Constructor Summary
`CauchoService(java.lang.String protocol)`

Method Summary
`protected java.lang.String` | `findConnectionId()`
`protected java.lang.String` | `findRequestURL()`
`protected java.lang.String` | `getProtocol()`

Methods inherited from class mx4j.tools.remote.http.HTTPService
`addConnection, addNotificationListener, addNotificationListener, close, connect, createMBean, createMBean, fetchNotifications, findConnection, findJMXServiceURL, getAttribute, getAttributes, getConnectionId, getDefaultDomain, getDomains, getLogger, getMBeanCount, getMBeanInfo, getObjectInstance, invoke, isInstanceOf, isRegistered, queryMBeans, queryNames, removeConnection, removeNotificationListener, removeNotificationListener, removeNotificationListeners, setAttribute, setAttributes, unregisterMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CauchoService

    public CauchoService(java.lang.String protocol)

Method Detail

### getProtocol

    protected java.lang.String getProtocol()

  Specified by:
    `getProtocol` in class `HTTPService`

### findRequestURL

    protected java.lang.String findRequestURL()

  Specified by:
    `findRequestURL` in class `HTTPService`

### findConnectionId

    protected java.lang.String findConnectionId()

  Specified by:
    `findConnectionId` in class `HTTPService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.